#
# spec file for package haserl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           haserl
BuildRequires:  automake
BuildRequires:  lua-devel
BuildRequires:  pkg-config
Version:        0.9.35
Release:        5.4
Url:            http://haserl.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/%{name}/haserl-devel/%{name}-%{version}.tar.gz
Summary:        CGI scripting with shell/lua
License:        GPL-2.0
Group:          Development/Tools/GUI Builders
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Haserl	is a small cgi wrapper that allows "PHP" style cgi programming,
but uses a UNIX bash-like shell or lua	as the programming language. It
is  very  small,  so  it can be used in embedded environments, or where
something like PHP is too big.

It combines three features into a small cgi engine: *  It parses 
   POST  and  GET  requests,  placing  form-elements  as name=value
   pairs into the environment for the CGI script to use. This is
   somewhat like the uncgi wrapper.

*  It opens a shell, and translates all text into printable
   statements. All text within <? ... ?> constructs are passed
   verbatim to the shell.  This is somewhat like writing PHP
   scripts.

*  It can optionally be installed to drop its  permissions  to	the
owner  of the script, giving it some of the security features of suexec
or cgiwrapper.

%prep
%setup

%build
%configure  --with-lua --enable-bash-extensions \
	--enable-subshell=/bin/bash
make

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/haserl
%{_mandir}/man1/haserl.1.gz

%changelog
* Thu Jul 30 2015 dimstar@opensuse.org
- Update to version 0.9.35:
  + Fixed a possible segfault if CONTENT_TYPE is not specified.
- Changes from version 0.9.34:
  + Haserl is now compatible with Lua 5.3 (in addition to 5.1, and
    5.2).
  + Fix processing of headers in rfc2388.c.
* Sat Jan 17 2015 p.drouand@gmail.com
- Update to version 0.9.33
  * Fix various security vulnerabilities - most serious is a
    Heap Overflow Vulnerability in sliding_buffer.c
  * Allow PUT and DELETE method (But prefix is still POST/GET)
  * On POST/PUT, Content-Type is not x-www-urlencoded, then
  the body of the message is stored verbatim in POST_body=
- Remove obsolete fix-make.diff
- Remove autoreconf calling; not needed anymore
- Use %%configure instead of./configure
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Oct 12 2010 coolo@novell.com
- add patch to fix makefile syntax
* Sun Sep 26 2010 ro@suse.de
- add pkg-config to buildrequires
* Tue Aug 19 2008 garloff@suse.de
- Update to haserl-0.9.24:
  * bash extensions
  * regression tests (make check)
  * docu updates
  * myputenv enhancements
  * observe CONTENT_LENGTH
* Thu Nov 29 2007 garloff@suse.de
- Update to haserl-0.9.21:
  * Command line option handling reworked
  * major refactoring
  * various little bugs killed
  * lua support
  * custom handler for uploading large files
  * new comment tag
* Tue Jul 10 2007 garloff@suse.de
- Initial creation of package haserl-0.8.0
